Bug 193166 - (CVE-2006-2656) CVE-2006-2656 tiffsplit buffer overflow
CVE-2006-2656 tiffsplit buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
source=vuln-dev,reported=20060525,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 16:13 EDT by Josh Bressers
Modified: 2013-07-02 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 03:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch (653 bytes, patch)
2006-05-25 22:44 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-05-25 16:13:30 EDT
tiffsplit buffer overflow

A buffer overflow issue has been found in libtiff's tiffsplit command.
More information is at the below URL:

http://marc.theaimsgroup.com/?l=vuln-dev&m=114857412916909&w=2


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Matthias Clasen 2006-05-25 22:44:51 EDT
Created attachment 130010 [details]
a patch
Comment 2 Matthias Clasen 2006-05-25 23:07:40 EDT
I have built
3.5.7-30.el2.2
3.5.7-25.el3.2
3.6.1-11
with the fix
Comment 3 Red Hat Product Security 2008-08-12 03:18:42 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2006-0603.html

Note You need to log in before you can comment on or make changes to this bug.